/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() { // module container

dojo.provide("com.ibm.rational.report.web.core.app.internal.AboutDialog");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojox.data.dom");
dojo.require("com.ibm.rational.report.web.core.app.internal.Util");
dojo.requireLocalization("com.ibm.rational.report.web.core.app.internal.common", "Messages");
dojo.require("com.ibm.rational.report.web.core.app.internal.common.CommonDialog");
dojo.require("com.ibm.rational.report.web.core.client.internal.ReportClient");
dojo.require("com.ibm.team.repository.web.transport.ServiceResponseHandler");

var ReportClient	= com.ibm.rational.report.web.core.client.internal.ReportClient;
var Util 			= com.ibm.rational.report.web.core.app.internal.Util;
var CommonMessages	= dojo.i18n.getLocalization("com.ibm.rational.report.web.core.app.internal.common", "Messages");
var ServiceResponseHandler	= com.ibm.team.repository.web.transport.ServiceResponseHandler;

var VersionNumber;
/**
 * Displays the About dialog.
 */
dojo.declare(
	"com.ibm.rational.report.web.core.app.internal.AboutDialog",
	[dijit._Widget, dijit._Templated], {
	
	templatePath: dojo.moduleUrl("com.ibm.rational.report.web.core", "app/internal/templates/AboutDialog.html"),
	
	constructor: function(args) {
		this._title = args.title;
	},
		
	postCreate: function() {
		var self = this;
		this._initText();

		this.dialog = new com.ibm.rational.report.web.core.app.internal.common.CommonDialog({
			contentNode: this.contentNode,
			primaryTitle: this._title,
			width: "384px",
			isClosable: true
		});
				
		dojo.connect(this.closeButton, "onclick",
			function(e) {
				e.preventDefault();
					self.dialog.close();
				}
			);		
	},
	
	_initText: function() {
		var responseHandler = new ServiceResponseHandler(
									this,
									"_getProductVersion",
									"_getProductVersionError");
			ReportClient.getProductVersion(responseHandler);
		dojox.data.dom.removeChildren(this.licenseMaterials);
		this.licenseMaterials.appendChild(document.createTextNode(CommonMessages.LICENSE_ABOUT_DIALOG));
		
		dojox.data.dom.removeChildren(this.copyrightLabel);
		this.copyrightLabel.appendChild(document.createTextNode(CommonMessages.DETAILS_ABOUT_DIALOG));
		
		dojox.data.dom.removeChildren(this.closeButton);
		this.closeButton.appendChild(document.createTextNode(CommonMessages.CLOSE_BUTTON_LABEL));
	},	
	_getProductVersion: function(result) {
	  	VersionNumber = result;
		this._displayVersion();
	},
	
	_getProductVersionError: function() {
		VersionNumber = "0.6.20080728-1000";
		this._displayVersion();	
	},
	
	_displayVersion: function() {
		dojox.data.dom.removeChildren(this.buildNumberLabel);
		this.buildNumberLabel.appendChild(document.createTextNode(CommonMessages.BUILD_NUMBER_ABOUT_DIALOG 
		+ this._getVersionPrefix() + VersionNumber));
	},
	
	_getVersionPrefix: function() {
	  	return "  RER-";
	},
	
	close: function() {
		this.dialog.close();
	}	
	
});

})();