/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.core.app.view.navigation.AdminNavigatorCore");

var DefaultIconsLocation  = dojo.moduleUrl("com.ibm.rational.report.web.core", "app/view/navigation/templates/icons/");

/**
 * Commons functions for displaying/managing the left navigator.
 */
com.ibm.rational.report.web.core.app.view.navigation.AdminNavigatorCore = {

	/**
	 * Create a node
	 */
	createLeftNavigationNode: function(args) {
		var div = document.createElement("div");
		div.className = "link";
		
		var img = document.createElement("img");
		img.src = DefaultIconsLocation + args.image;
		if (dojo.isIE) {
			img.align = "bottom";
		} else if (dojo.isMozilla) {
			img.align = "top";
		}
		div.appendChild(img);
		
		var anchor = document.createElement("a");
		anchor.title = args.name;
		anchor.href = "javascript:{}";
		anchor.onclick = args.target;
		
		var text = document.createTextNode(args.name);
		anchor.appendChild(text);
		
		div.appendChild(anchor);
		return div;
	}
};

})();